Scrum - Defect #1600

Displaying backlog gives 500 error
2021-06-28 06:31 - Hermann Klocker-Mark

Status: Rejected

Priority: High

Category:

Target version:

Source: Development Blocked: No
Detected on version: Scrum v0.21.0 Alone: No
Description

My log file says:

Started GET "/product_backlog/8" for 77.119.211.137 at 2021-06-28 07:27:57 +0200
Processing by ProductBacklogController#show as HTML

Parameters: {"id"=>"8"}

Current user: admin (id=1)
Completed 500 Internal Server Error in 6lms (ActiveRecord: 6.2ms)

NoMethodError (undefined method 'reset_positions_in_list' for #<Issue:0x00007f116911ff68>):
plugins/scrum/app/controllers/product_backlog_controller.rb:208:in "check_issue_position'
plugins/scrum/app/controllers/product_backlog_controller.rb:214:in "block in check_issue_position'
plugins/scrum/app/controllers/product_backlog_controller.rb:213:in "“check_issue_position'
plugins/scrum/app/controllers/product_backlog_controller.rb:202:in “check_issue_positions'
lib/redmine/sudo_mode.rb:61:in " sudo_mode'

Different from previous issue as my role is Manager.

BTW: the "same" error occurs on your website when clicking backlogs menu item.

Related issues:

Is duplicate of Scrum - Defect #1583: Error when loading backlog: NoMethodErr... Resolved
History

#1 - 2021-07-03 23:09 - Emilio Gonzalez Montafia

- Description updated

Hi,

Strange error... did you install the plugin properly?

https://redmine.ociotec.com/projects/redmine-plugin-scrum/wiki#Installation

Please ensure plugin folder is called "scrum" under the "/plugins” folder... no other names.
Also check if you run the redmine plugins migrate, then restart Redmine.

#2 - 2022-11-28 08:25 - Piotr Grondziowski

Gem act_as_list is not installed, undefined method mentioned in error message is part of it.
Seems like SCRUM plugin can manage without this gem. It's enough to comment lines in check_issue_position method

# issue.reset_positions_in_list
# issue.save!
# issue.reload

in file scrum\app\controllers\product_backlog_controller.rb

#3 - 2023-01-23 12:51 - Emilio Gonzalez Montaina
https://redmine.ociotec.com/projects/redmine-plugin-scrum/wiki#Installation

- Status changed from New to Rejected

Duplicated by #1583.
#4 - 2023-01-23 13:04 - Emilio Gonzalez Montaha

- Is duplicate of Defect #1583: Error when loading backlog: NoMethodError (undefined method “reset_positions_in_list' for
#<Issue:0x00007fab205fd390>): added
